# FoundationClasses
TKMath
CSLib

# CSLib_Class2d Class Reference

`#include <CSLib_Class2d.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CSLib_Class2d (const TColgp_Array1OfPnt2d &TP, const Standard_Real aTolu, const Standard_Real aTolv, const Standard_Real umin, const Standard_Real vmin, const Standard_Real umax, const Standard_Real vmax)
Standard_EXPORT Standard_Integer | SiDans (const gp_Pnt2d &P) const
Standard_EXPORT Standard_Integer | SiDans_OnMode (const gp_Pnt2d &P, const Standard_Real Tol) const
Standard_EXPORT Standard_Integer | InternalSiDans (const Standard_Real X, const Standard_Real Y) const
Standard_EXPORT Standard_Integer | InternalSiDansOuOn (const Standard_Real X, const Standard_Real Y) const
Standard_EXPORT const CSLib_Class2d & | Copy (const CSLib_Class2d &Other) const
const CSLib_Class2d & | operator= (const CSLib_Class2d &Other) const
Standard_EXPORT void | Destroy ()
| ~CSLib_Class2d ()

## Private Attributes

Standard_Address | MyPnts2dX
Standard_Address | MyPnts2dY
Standard_Real | Tolu
Standard_Real | Tolv
Standard_Integer | N
Standard_Real | Umin
Standard_Real | Vmin
Standard_Real | Umax
Standard_Real | Vmax

## Constructor & Destructor Documentation

Standard_EXPORT CSLib_Class2d::CSLib_Class2d | ( | const TColgp_Array1OfPnt2d & | TP,
|  | const Standard_Real | aTolu,
|  | const Standard_Real | aTolv,
|  | const Standard_Real | umin,
|  | const Standard_Real | vmin,
|  | const Standard_Real | umax,
|  | const Standard_Real | vmax
| ) |

CSLib_Class2d::~CSLib_Class2d | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const CSLib_Class2d& CSLib_Class2d::Copy | ( | const CSLib_Class2d & | Other | ) | const

Standard_EXPORT void CSLib_Class2d::Destroy | ( |  | ) |

Standard_EXPORT Standard_Integer CSLib_Class2d::InternalSiDans | ( | const Standard_Real | X,
|  | const Standard_Real | Y
| ) | const

Standard_EXPORT Standard_Integer CSLib_Class2d::InternalSiDansOuOn | ( | const Standard_Real | X,
|  | const Standard_Real | Y
| ) | const

void CSLib_Class2d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CSLib_Class2d::operator new | ( | size_t | size | ) | `[inline]`

void* CSLib_Class2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const CSLib_Class2d& CSLib_Class2d::operator= | ( | const CSLib_Class2d & | Other | ) | const`[inline]`

Standard_EXPORT Standard_Integer CSLib_Class2d::SiDans | ( | const gp_Pnt2d & | P | ) | const

Standard_EXPORT Standard_Integer CSLib_Class2d::SiDans_OnMode | ( | const gp_Pnt2d & | P,
|  | const Standard_Real | Tol
| ) | const

## Field Documentation

Standard_Address CSLib_Class2d::MyPnts2dX `[private]`

Standard_Address CSLib_Class2d::MyPnts2dY `[private]`

Standard_Integer CSLib_Class2d::N `[private]`

Standard_Real CSLib_Class2d::Tolu `[private]`

Standard_Real CSLib_Class2d::Tolv `[private]`

Standard_Real CSLib_Class2d::Umax `[private]`

Standard_Real CSLib_Class2d::Umin `[private]`

Standard_Real CSLib_Class2d::Vmax `[private]`

Standard_Real CSLib_Class2d::Vmin `[private]`

The documentation for this class was generated from the following file:

- CSLib_Class2d.hxx